%define	version 0.3.1
%define kdename kapm
%define release 4mdk

Name: %{kdename}
Summary: Advanced Power Management utility
Version: %{version}
Release: %{release}
Source:  %{name}-%{version}.tar.bz2
Group: System/Configuration/Hardware
Copyright: GPL
BuildRoot: /var/tmp/%{name}-buildroot
Requires: qt kdelibs apmd
Prefix: %{_prefix}

%description
Advanced Power Management dock applet for the K Desktop Environment.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build
export KDEDIR=%{_prefix}
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --with-install-root=$RPM_BUILD_ROOT --disable-rpath 

mkdir -p $RPM_BUILD_ROOT    
if [ "$SMP" != "" ]; then
  (make KDEDIR=$KDEDIR "MAKE=make -k -j $SMP"; exit 0)
  make KDEDIR=$KDEDIR
else
  make KDEDIR=$KDEDIR
fi

%install
export KDEDIR=%{_prefix}
make prefix=$RPM_BUILD_ROOT$KDEDIR install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/doc/kde/HTML/en/kapm/*
/usr/bin/*
/usr/share/applnk/System/kapm.kdelnk
/usr/share/icons/*
/usr/share/locale/de/LC_MESSAGES/*
/usr/share/locale/ja/LC_MESSAGES/*

%changelog
* Thu Mar 23 2000 dam's <damien@mandrakesoft.com> 0.3.1-4mdk
- Release.

* Mon Nov 22 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance

* Thu Oct 21 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- update to 0.3.1 (bug fixes)
- handke optimizations that DarkChmouel s**ks

* Wed Sep 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for Cooker.                                                                             

* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.

